//
//  HomeMoreViewController.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/21.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

class HomeMoreViewController: BaseViewController {

    lazy var collectionView: UICollectionView = {
        let layout = UICollectionViewFlowLayout()
        //最小行间距
        layout.minimumLineSpacing = 0
        //设置垂直间距
        layout.minimumInteritemSpacing = 0
        //设置 cell 上下左右的间距
        layout.sectionInset = UIEdgeInsets(top: 5, left: 5, bottom: 5, right: 5)
        layout.itemSize = CGSize(width:btnViewWidth, height:btnViewHeight)
        //layout.headerReferenceSize = CGSize(width: SCREEN_WHIDTH(), height: 26*HEIGHT_RATIO())
        let collectionView = UICollectionView.init(frame: .zero, collectionViewLayout: layout)
        registerCollectinViewCell(collectionView, cell: HomeMoreCollectionViewCell.self)
        collectionView.backgroundColor = UIColor.white
        return collectionView
    }()
    
    var dataSource:NSMutableArray!
    var delegate = HomeMoreViewControllerDelegate()
    
    var cellNum:Double!
    var btnViewWidth = CGFloat()
    var btnViewHeight = CGFloat()
    var oneArr = NSMutableArray()
    

    override func viewDidLoad() {
        super.viewDidLoad()
        self.initTitleBar()
        self.title = "更多"
        initCollectionView()
        getMoreApplicationsHttpCmd()
        // Do any additional setup after loading the view.
    }
    


}
